Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_DrillThrough

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.xmla.XMLA_DrillThrough

All Implemented Interfaces:
  Extension, DrillThrough

    public class XMLA_DrillThrough

extends ExtensionSupport
implements DrillThrough

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.DrillThrough
`ID`

Constructor Summary
`XMLA_DrillThrough()` Constructor sets ID

Method Summary
`boolean` | `canDrillThrough(Cell cell)` drill through is possible if `member` is not calculated
`com.tonbeller.wcf.table.TableModel` | `drillThrough(Cell cell)` does a drill through, retrieves data that makes up the selected Cell
`boolean` | `isExtendedContext()` gets the mondrian connection
`void` | `setExtendedContext(boolean extendedContext)`

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### XMLA_DrillThrough

    public XMLA_DrillThrough()

  Constructor sets ID

Method Detail

### canDrillThrough

    public boolean canDrillThrough(Cell cell)

  drill through is possible if `member` is not calculated

  Specified by:
    `canDrillThrough` in interface `DrillThrough`

### drillThrough

    public com.tonbeller.wcf.table.TableModel drillThrough(Cell cell)

  does a drill through, retrieves data that makes up the selected Cell

  Specified by:
    `drillThrough` in interface `DrillThrough`

### isExtendedContext

    public boolean isExtendedContext()

  gets the mondrian connection

  Returns:

### setExtendedContext

    public void setExtendedContext(boolean extendedContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD